[android-components](../../index.md) / [mozilla.components.feature.customtabs](../index.md) / [CustomTabIntentProcessor](index.md) / [process](./process.md)

# process

`suspend fun process(intent: <ERROR CLASS>): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/customtabs/src/main/java/mozilla/components/feature/customtabs/CustomTabIntentProcessor.kt#L33)

Overrides [IntentProcessor.process](../../mozilla.components.feature.intent.processing/-intent-processor/process.md)

Processes the given [Intent](#).

### Parameters

`intent` - The intent to process.

**Return**
True if the intent was processed, otherwise false.

